<div *ngIf="customer" class="details">
  <form>
    <div *ngFor="let error of errorMessages">
      <p class="text-danger">{{error}}</p>
    </div>
    <fieldset [disabled]=disabled>
      <label for="customer-name">Nome:</label>
      <input type="text" class="form-control" id="customer-name" name="customer-name" placeholder={{customer.name}}
        [(ngModel)]="customer.name">
      <div class="form-row">
        <div class="form-group col-md-6">
          <label for="customer-id">Id:</label>
          <input type="text" class="form-control" id="customer-id" placeholder={{customer.id}} disabled>
          <small *ngIf="!disabled">este campo não é editavel</small>
        </div>
        <div class="form-group col-md-6">
          <label for="interest-rate">Taxa de Juros:</label>
          <input type="text" class="form-control" name="interest-rate" placeholder={{customer.interestRate}} disabled>
          <small *ngIf="!disabled">este campo não é editavel</small>
        </div>
      </div>
      <div class="form-row">
        <div class="form-group col-md-6">
          <label for="credit-limit">Limite de Crédito:</label>
          <input type="number" class="form-control" name="credit-limit" placeholder={{customer.creditLimit}}
            [(ngModel)]="customer.creditLimit">
        </div>
        <div class="form-group col-md-6">
          <label for="creditRisk">Tipo de Risco:</label>
          <select class="custom-select" name="credit-risk" id="credit-risk" [(ngModel)]="customer.creditRisk">
            <option selected *ngIf="disabled">{{customer.creditRisk}}</option>
            <option value="A">A</option>
            <option value="B">B</option>
            <option value="C">C</option>
          </select>
        </div>
      </div>

    </fieldset>
  </form>
  <button class="btn btn-outline-danger bottom-buttom" (click)="deleteCustomer(customer.id)">Excluir</button>
  <button class="btn btn-outline-warning bottom-buttom" (click)="edit()">Editar</button>
  <button class="btn btn-outline-primary bottom-buttom" (click)="editCustomer(customer)">Salvar</button>
</div>
